Skip to main content
GET
/
webhook-subscriptions
/
{id}
/
deliveries
List webhook deliveries
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/webhook-subscriptions/{id}/deliveries', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
[
  {
    "eventType": "<string>",
    "status": "<string>",
    "payload": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attempts": 123,
    "lastStatusCode": 123,
    "lastAttemptAt": "2023-11-07T05:31:56Z",
    "nextAttemptAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Path Parameters

id
string<uuid>
required

Query Parameters

limit

Response

OK

eventType
string
required
status
string
required
payload
string
required

Full webhook envelope JSON exactly as it was sent to (or will be sent to) the subscriber URL. Useful for debugging / replay.

id
string<uuid>
subscriptionId
string<uuid>
eventId
string<uuid>
organisationId
string<uuid>

Organisation this delivery's underlying saga event belongs to.

attempts
lastStatusCode
lastAttemptAt
null | string<date-time>
nextAttemptAt
null | string<date-time>
createdAt
string<date-time>